Subject: Re: MPC85xx DMA drivers, first testing results.

From: Timur Tabi <[email-masked]>
Date: Thu, 06 Dec 2007 19:31:43 -0600

Clemens Koller wrote:
> Hi There!
> 
> I just tried to use the fsldma on the mpc8540. It seems to work fine
> here, but I would be glad if somebody can confirm before I move on:
> 
> I added the following to my mpc8540ads compatible board's .dts
> (see my comments, where the not yet available documentation
> was unclear):
> 
> dma@21000 {
>          #address-cells = <1>;
>          #size-cells = <1>;
>          compatible = "fsl,mpc8540-dma", "fsl,eloplus-dma";
>          device-id = <0>;
>          reg = <21300 4>;        /* DGSR - DMA general status register */
>          /* reg = <21000 4>;*/   /* or use offset of DMA machine ??? */
>          ranges = <0 21100 200>; /* we have 4 DMA channels at 21100, size=80 each */
>          dma-channel@0 {
>                  compatible = "fsl,mpc8540-dma-channel", "fsl,eloplus-dma-channel";
>                  device-id = <0>; /* or cell-index ??? */
>                  reg = <0 80>;
>                  interrupt-parent = <&mpic>;
>                  interrupts = <14 2>;
>          };

Do this:

                 dma@21300 {
                         #address-cells = <1>;
                         #size-cells = <1>;
                         compatible = "fsl,mpc8540-dma", "fsl,eloplus-dma";
                         cell-index = <0>;
                         reg = <21300 4>; /* DMA general status register */
                         ranges = <0 21100 200>;

                         dma-channel@0 {
                                 compatible = "fsl,mpc8540-dma-channel", 
"fsl,eloplus-dma-channel";
                                 cell-index = <0>;
                                 reg = <0 80>;
                                 interrupt-parent = <&mpic>;
                                 interrupts = <14 2>;
                         };

-- 
Timur Tabi
Linux Kernel Developer @ Freescale